# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rtx/api/version'

Gem::Specification.new do |spec|
  spec.name          = "rtx-api"
  spec.version       = RTX::API::VERSION
  spec.authors       = ["Review Trackers Engineering"]
  spec.email         = ["nate@reviewtrackers.com"]

  spec.summary       = %q{Ruby Client for the Review Trackers RTX API.}
  spec.description   = %q{A Ruby Client for the RTX API provided by Review Trackers.}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.1'

  # add dependencies here. development dependencies should go into the Gemfile
  spec.add_dependency 'httparty'
  spec.add_dependency 'oj'
  spec.add_development_dependency 'codeclimate-test-reporter', '~> 1.0.0'
  spec.add_development_dependency 'simplecov'
end
